/*
Theme Name:  Aras
Theme URL:   https://www.arasbroyevully.ch
Description: thales it
Author:      thales it
Author URL:  https://www.thalesit.ch
Template:    hello-elementor
Version:     1.0.0
*/

a{
  text-decoration: none !important;
}

p{
  text-align: justify !important;
}

.elementor-widget-text-editor ul,
.elementor-icon-box-content ul{
  text-align: justify !important;
}

.inner-left-column {
  max-width: 600px !important;
  text-align: left;
}

.hide-notice{
  margin-top: 30px !important;
  margin-bottom: 30px !important;
}

.hide-notice .elementor-container {
  display: none !important;
}

#aras-header {
  position: absolute;
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
  max-width: 1200px;
}


.form-container {
  direction: initial;
  width: 90%;
  float: left;
  border: solid;
  border-width: 5px;
  border-color: white;
  padding: 30px 50px;
}

.header_container .elementor-nav-menu .elementor-item {
  position: relative;
}

.header_container .elementor-nav-menu .elementor-item::before {
  content: "";
  width: 60px;
  height: 60px;
  opacity: 1 !important;
  position: absolute;
  left: 0;
  background-image: url(/wp-content/uploads/2023/01/aras.png);
  background-color: transparent !important;
  background-repeat: no-repeat;
  background-position: center right;
  background-size: contain;
}

.header_container .elementor-nav-menu .aras_menu .elementor-item {
  padding-left: 65px !important;
}

.header_container .elementor-nav-menu .csr_menu .elementor-item {
  padding-left: 58px !important;
}

.header_container .elementor-nav-menu .aas_menu .elementor-item {
  padding-left: 58px !important;
}

.header_container .elementor-nav-menu .afj_menu .elementor-item {
  padding-left: 55px !important;
}

.header_container .elementor-nav-menu .csr_menu .elementor-item::before {
  background-image: url(/wp-content/uploads/2023/01/csr.png);
}

.header_container .elementor-nav-menu .aas_menu .elementor-item::before {
  background-image: url(/wp-content/uploads/2023/01/aas.png);
}

.header_container .elementor-nav-menu .afj_menu .elementor-item::before {
  background-image: url(/wp-content/uploads/2023/01/afj.png);
}

.header_container .elementor-nav-menu--layout-horizontal .elementor-nav-menu {
  column-gap: 25px;
}

.header_container .elementor-nav-menu .afj_menu .elementor-item .sub-arrow {
  margin-left: 60px !important;
}

.header_container .elementor-nav-menu .afj_menu .elementor-item::after {
  content: "";
  width: 60px;
  height: 60px;
  opacity: 1 !important;
  position: absolute;
  right: 16px;
  background-color: transparent !important;
  background-image: url(/wp-content/uploads/2023/01/araj2.png);
  background-repeat: no-repeat;
  background-position: center right;
  background-size: contain;
}

.register-araj-button a {
  position: relative;
  display: inline-block;
  padding: 10px 18px;
  font-family: "Poppins", "Nunito", Arial, sans-serif;
  font-size: 18px;
  font-weight: 700;
  color: #ffffff;
  text-decoration: none;
  text-align: center;
  line-height: 1.4;
  border-radius: 8px;

  background: linear-gradient(135deg, #a9d63b, #00C3C9, #907ee2, #e868a7);
  box-shadow:
    0 0 15px rgba(255, 255, 255, 0.6),
    0 0 30px rgba(96, 165, 250, 0.8);

  overflow: hidden;
  transition: all 0.3s ease-in-out !important;
}

.register-araj-button a::before {
  content: "";
  position: absolute;
  inset: 0;
  background:
    radial-gradient(circle at 20% 30%, rgba(255,255,255,0.6) 4px, transparent 5px),
    radial-gradient(circle at 70% 20%, rgba(255,255,255,0.5) 3px, transparent 4px),
    radial-gradient(circle at 40% 70%, rgba(255,255,255,0.4) 5px, transparent 6px),
    radial-gradient(circle at 80% 65%, rgba(255,255,255,0.5) 3px, transparent 4px),
    radial-gradient(circle at 15% 75%, rgba(255,255,255,0.4) 4px, transparent 5px);
  animation: floatDots 1s linear infinite;
  pointer-events: none;
}

.register-araj-button a:hover {
  transform: rotate(-2deg);
}

@keyframes floatDots {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: 0 -45px;
  }
}

.footer-address-block{
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 10px;
}

.footer-address-block:has(.content-footer-info:only-child){
  grid-template-columns: 1fr;
}

.footer-address-block:has(.content-footer-info:nth-child(2):last-child){
  grid-template-columns: repeat(2, 1fr);
}


.footer-address-block .content-footer-info{
  background: #fafafa;
  padding: 10px 20px;
  border-radius: 8px;
}

@media (max-width: 1400px){
  .footer-address-block{
    grid-template-columns: repeat(2, 1fr);
  }

  .footer-address-block:has(.content-footer-info:only-child){
    grid-template-columns: 1fr;
  }
}

@media screen and (max-width: 1100px) {
  .header_container .elementor-nav-menu--layout-horizontal .elementor-nav-menu {
    column-gap: 0px;
  }
}

@media screen and (max-width: 1024px) {
  .elementor-nav-menu--dropdown .elementor-item:focus{
    color: inherit !important;
  }
  .header_container .elementor-nav-menu--dropdown .elementor-item.elementor-item-active, .elementor-nav-menu--dropdown .elementor-item.highlighted, .elementor-nav-menu--dropdown .elementor-item:focus, .elementor-nav-menu--dropdown .elementor-item:hover, .elementor-sub-item.elementor-item-active, .elementor-sub-item.highlighted, .elementor-sub-item:focus, .elementor-sub-item:hover {
    background-color: transparent !important;
}

.header_container .elementor-nav-menu {
    padding-left: 25px !important;
  }

  .header_container .elementor-nav-menu--dropdown .elementor-item{
    justify-content: space-between;
  }

  .header_container .elementor-nav-menu .afj_menu .elementor-item::after{
    right: 38px;
  }
}

@media (max-width:801px) {
  .form-container {
    direction: initial;
    width: 100%;
    padding: 20px 20px;
    margin-top: 10px;
    margin-bottom: 60px;
  }

}

@media screen and (max-width: 767px) {
  #aras-header {
    position: relative;
  }

  .footer-address-block{
    grid-template-columns: 1fr;
  }
}

.aras_select {
  background-color: #E9E9E4;
  margin-top: 25px;
  height: 55px;
  font-weight: 600;
  border: none;
  border-radius: 0px;
}

.aras_submit {
  width: 100% !important;
  background-color: #E9E9E4 !important;
  height: 55px !important;
  color: black !important;
  font-weight: 700 !important;
  margin-top: 25px !important;
  border: none !important;
  border-radius: 0px !important;

}

.aras_submit:hover,
.aras_submit:focus {
  background-color: #E9E9E4 !important;
  color: black;
}

.form-container h2,
.form-container h6 {
  color: black;
}

.form-container h2 {
  margin-top: 0px;
}


.main-content a {
  color: #E57C3D;
}

.main-content a:hover {
  color: #E57C3D;
  /* 	font-weight:500; */
  text-decoration: underline;
}


section p,
section li,
section div {
  color: #565656;

}

.icon-column:hover>.elementor-element-populated>.icon>.elementor-widget-container {
  background-color: #F7F7F6 !important;
}

.icon-column:hover>.elementor-element-populated {
  background-color: white !important;
}

.ou-margin {
  margin-top: 5px;
  margin-bottom: -20px;
  font-weight: 500;
  color: black;
}

.tab button.active {
  background-color: #E57C3D !important;
  color: white !important;
}

.tab button {
  color: black
}

.tab button {
  border: solid !important;
  border-width: 1px 1px 1px 1px !important;
  border-color: #f1f1f1 !important;
  border-radius: 0px !important;
  font-size: 14px !important;
  padding: 12px 12px !important;
  font-weight: 600;
}

.tab {
  border: none !important;
  max-width: 600px;
}

.main-menu img {
  max-width: 80px !important;
}


.association-title {
  font-size: 18px;
  font-family: "Roboto", Sans-serif;
  font-weight: 600;
  line-height: 21.6px;
  color: #000;
  display: flex;
  align-items: center;
  justify-content: start;
  gap: 25px;
}

.association-title svg{
  width: 22px;
  height: 22px;
}

.association-title i{
  color: rgb(229, 124, 61);
  font-size: 22px;
}

.association-name {
  color: black;
  font-family: "Roboto", Sans-serif;
  font-size: 24px;
  font-weight: 500;
}

.tabcontent {
  padding-left: 20px !important;
  padding-top: 20px !important;
}

.tabcontent a{
  color: #000 !important;
}

.far {
  font-family: "Font Awesome 5 Free";
  font-weight: 400;
}

.tabcontent-map{
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 6px;
  color: #000 !important;
}

.tabcontent-map i{
  color: #E57C3D !important;
}

.assoction-desc {
  padding-left: 47px;
  font-size: 14px;
  font-weight: 400;
  line-height: 21px;
  font-family: "Roboto", sans-serif;
  color: #000;
}

.assoction-desc p{
  margin-bottom: 0px;
}

.horaire-desc {
  padding-left: 0px;
  margin-top: 28px;;
}

.aras-icon-loc {
  width: 26px;
  vertical-align: bottom;
}

.gmap_canvas {
  border-style: solid;
  border-width: 0px 0px 0px 0px;
  border-color: #E57C3D;
  box-shadow: 0px 0px 10px 0px rgb(229 124 61 / 54%);
  margin-top: 25px;
}

.display-block {
  display: block;
}

.tab {
  overflow: hidden;
  border: 1px solid #ccc;
  background-color: #f1f1f1;
}

/* Style the buttons inside the tab */
.tab button {
  background-color: inherit;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  transition: 0.3s;
  font-size: 17px;
}

/* Change background color of buttons on hover */
.tab button:hover {
  background-color: #ddd;
}

/* Create an active/current tablink class */
.tab button.active {
  background-color: #ccc;
}

/* Style the tab content */
.tabcontent {
  display: none;
  padding: 6px 12px;
  -webkit-animation: fadeEffect 1s;
  animation: fadeEffect 1s;
}

/* Fade in tabs */
@-webkit-keyframes fadeEffect {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@keyframes fadeEffect {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}


.tablinks:hover {
  color: black !important;
}



.scroll-to-top {
  position: fixed;
  bottom: 20px;
  right: 20px;
  background-color: #333;
  color: #fff;
  padding: 10px 15px;
  border-radius: 55px;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.scroll-to-top:hover {
  background-color: #fff;
  color: #333;
}

.scroll-to-top::before {
  content: "\2191";
  font-size: 1.5em;
  margin-right: 0.25em;
}

body {
  color: #565656 !important;
}

.horaire-table{
  max-width: 600px;
  color: #000 !important;
  font-size: 16px !important;
}

.horaire-table tr th,
.horaire-table tr td{
  border-left: none !important;
  border-right: none !important;
  background-color: rgba(0, 0, 0, 0.05) !important;
  padding: 8px 16px; 
  vertical-align: top;
}

.horaire-table tr th{
  text-align: left !important;
}

.horaire-table tr:first-child th{
  border-top: none !important;
}

.horaire-table tr:last-child td{
  border-bottom: none !important;
}

.list-communes-inner .elementor-widget-wrap{
  flex-direction: row;
  gap: 30px;
  flex-wrap: wrap;
  margin: 0 !important;
  padding: 0 !important;
}

.list-communes-inner .elementor-widget-wrap > .elementor-element{
  width: 100%;
  max-width: 100%;
  margin-bottom: 0 !important;
}

.list-communes-inner .elementor-widget-wrap p{
  margin: 0 !important;
  text-align: center !important;
}

.hidden-info {
  display: none !important;
}

.latest-news-link {
  color: #000;
  display: inline-block;
  max-width: 100%;
}

.latest-news-link:hover {
  color: #fff;
}

.content-footer-info .elementor-icon-list-text{
  font-family: "Roboto", Sans-serif;
  font-size: 14px;
  font-weight: 400;
  color: #000;
}

.content-footer-info .elementor-icon-list-icon {
  padding-inline-end: 0px;
}

.content-footer-info .elementor-icon-list-icon i {
  color: #000;
  margin-top: 3.5px;
}

.content-footer-info .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child) {
  padding-block-end: calc(2px/2);
}

.content-footer-info li, .content-footer-info a {
  align-items: flex-start !important;
}

@media (min-width: 400px) {
  
  .latest-news-link {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .container-latest-news-link {
    line-height: 12px;
    max-width: calc(100% - 200px) !important;
  }
}

@media (min-width: 768px) {
  
  .latest-news-link {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}

@media (min-width: 1025px) {
  .list-communes-inner .elementor-widget-wrap > .elementor-element {
    flex: 1;
    min-width: 30%;
    max-width: calc(33% - 25px);
  }
}

@media (min-width: 1260px) {
  .list-communes-inner .elementor-widget-wrap > .elementor-element {
    flex: 1;
    min-width: 20%;
    max-width: calc(25% - 25px);
  }
}

@media (max-width: 399px) {
  
  .latest-news-link {
    text-align: center;
    padding: 20px 10px;
  }

  .latest-news-link i{
    display: block;
    font-size: 24px;
    margin-bottom: 10px;
  }
}